<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 https://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>
    <parent>
        <groupId>org.springframework.boot</groupId>
        <artifactId>spring-boot-starter-parent</artifactId>
        <version>3.3.7</version>
        <relativePath/> <!-- lookup parent from repository -->
    </parent>
    <groupId>com.ecep.contract</groupId>
    <artifactId>Contract-Manager</artifactId>
    <version>0.0.101-SNAPSHOT</version>
    <packaging>pom</packaging>
    <modules>
        <module>server</module>
        <module>common</module>
        <module>client</module>
    </modules>
    <name>Contract-Manager</name>
    <description>Contract-Manager</description>
    <url/>
    <licenses>
        <license/>
    </licenses>
    <developers>
        <developer>
            <id>1</id>
            <name>宋其青</name>
            <email>qiqing.song@ecep.com</email>
        </developer>
    </developers>
    <scm>
        <connection/>
        <developerConnection/>
        <tag/>
        <url/>
    </scm>
    <properties>
        <java.version>21</java.version>
        <javafx.version>22.0.2</javafx.version>
        <poi.version>5.3.0</poi.version>
        <!-- 全局编码设置 -->
        <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
        <project.reporting.outputEncoding>UTF-8</project.reporting.outputEncoding>
        <maven.compiler.source>${java.version}</maven.compiler.source>
        <maven.compiler.target>${java.version}</maven.compiler.target>
    </properties>
    <dependencies>

        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-actuator</artifactId>
        </dependency>
        <dependency>
            <groupId>org.projectlombok</groupId>
            <artifactId>lombok</artifactId>
            <optional>true</optional>
        </dependency>
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-test</artifactId>
            <scope>test</scope>
        </dependency>
        <dependency>
            <groupId>com.fasterxml.jackson.core</groupId>
            <artifactId>jackson-databind</artifactId>
        </dependency>
        <dependency>
            <groupId>com.fasterxml.jackson.datatype</groupId>
            <artifactId>jackson-datatype-jsr310</artifactId>
        </dependency>
        <dependency>
            <groupId>ch.qos.logback</groupId>
            <artifactId>logback-access</artifactId>
            <version>1.5.13</version>
        </dependency>
        <dependency>
            <groupId>org.apache.poi</groupId>
            <artifactId>poi</artifactId>
            <version>${poi.version}</version>
        </dependency>
        <dependency>
            <groupId>org.apache.poi</groupId>
            <artifactId>poi-ooxml</artifactId>
            <version>${poi.version}</version>
        </dependency>
        <dependency>
            <groupId>org.apache.pdfbox</groupId>
            <artifactId>pdfbox</artifactId>
            <version>3.0.3</version>
        </dependency>
    </dependencies>
	<repositories>
		<repository>
			<id>gitea</id>
			<url>http://10.84.210.110/api/packages/songqq/maven</url>
		</repository>
	</repositories>
	<distributionManagement>
		<repository>
			<id>gitea</id>
			<url>http://10.84.210.110/api/packages/songqq/maven</url>
		</repository>
		<snapshotRepository>
			<id>gitea</id>
			<url>http://10.84.210.110/api/packages/songqq/maven</url>
		</snapshotRepository>
	</distributionManagement>
    <build>
        <plugins>

        </plugins>
    </build>

</project>
